<?php
	require_once( $GLOBALS["site_root"] . "/includes/tasks/GeneralTask.inc.php" );

	class MiniChatroomTask extends GeneralTask {

		public function __construct( $task_id , $task_processor ) {
			parent::__construct( $task_id , $task_processor );
		}

		public function processTask() {
			if ($this->task_processor->timeLeft()<3) return false;	// lejar az ido
			require_once( $GLOBALS["site_root"] . "/includes/models/Chat.inc.php" );
			$chat_model = new ChatModel();
			$chat_model->purgeChatrooms();
		}

	}



?>
